Page MenuHomePhabricator

Refactor data loader into a separate lib
Closed, ResolvedPublic

Description

Both Kartotherian (snapshot) and Kartographer need identical functionality - for a given map, provide a fully expanded (no externalData) GeoJSON.

I plan to make Kartotherian request data via the mapdata api call. The static image URL will contain the page title and the list of groups to request.

Graph (MW js), Graphoid (node), and WDQS Polestar integration (non-MW js) already use a similar share a library VegaWrapper to do a similar task.

Event Timeline

Yurik created this task.Sep 30 2016, 4:23 PM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 30 2016, 4:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Oct 3 2016, 6:33 PM
Yurik moved this task from Unsorted to General on the Maps (Kartographer) board.Oct 6 2016, 8:32 PM

Change 314730 had a related patch set uploaded (by JGirault):
Refactor data loader into a separate lib

https://gerrit.wikimedia.org/r/314730

JGirault moved this task from In progress to Needs review on the Maps-Sprint board.Oct 7 2016, 6:46 PM

Change 314730 merged by Yurik:
Refactor data loader into a separate lib

https://gerrit.wikimedia.org/r/314730

Yurik closed this task as Resolved.Oct 12 2016, 4:22 AM